<?php
error_reporting(0);

include("../config.php");
include("../includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime()); 
$headtime = $sec + $msec;

$ref = rand(1000, 9999);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header ("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_GET['id']);
$password = mysql_escape_string($_GET['password']);
$q = mysql_query("SELECT `id` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".$password."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo <<< END
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.3//EN" "http://www.wapforum.org/DTD/wml13.dtd"><wml>
<card title="Правила С-Модераторов"><p align="left">
<b>С-Модератор обязан:</b><br/>
1. Соблюдать общие правила чата.<br/>
2. Помогать разрешать конфликты между участниками чата.<br/>
3. С-Модератор должен быть беспристрастным.<br/>
4. Блокировать пользователей за нарушение правил:<br/>
4.1. За "легкий" мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, то необходимо просто сделать предупреждение.<br/>
4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый "звездочками" (*) не следует игнорировать.<br/>
4.3. За провакационные ники, ники с ненормативной лексикой следует блокировать пользователя по нику, сначала сделав предупреждение.<br/>
4.4. За пропагандирование насилия, националистических и политических лозунгов, разжигание межнациональной розни, преднамеренного создания кофликтных ситуаций следует сделать предупреждение, а во второй раз блокировать пользователя по нику.<br/>
4.5. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>
4.6. За плагиат ников необходимо банить ник.<br/>
4.7. Если пользователь, нарушивший правила чата, не дожидается срока разбана, то за повторное нарушение следует блокировать пользователя по IP+UA, либо по нику в зависимости от обстоятельств.<br/>
4.8. За преднамеренную рекламу следует немедленно блокировать пользователя по никнейму.<br/>
4.9  За непреднамеренную рекламу следует объяснить пользователю, что давать ссылки на сторонние ресурсы запрещено правилами.<br/>
4.10. За грубое отношение к Модераторам (любым) следует делать предупреждение пользователю. Если это повториться, то блокировка может быть от 86400 секунд (сутки) до блокировки ника.<br/>
<br/>
Также, если пользователь чата может менять IP и/или UserAgent, тем самым уходя от бана, то следует сообщить об этом Администраторам.<br/>
<br/>
<b>Запрещается:</b><br/>
1. Создавать конфликты между участниками чата и другими модераторами.<br/>
2. Блокировать других С-Модераторов и Администраторов.<br/>
При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>
3. Изменять статус другим С-Модераторам и Администраторам.<br/>
4. Делать объявления пользователям от имени Администрации чата.<br/>
5. Не рекомендуется создавать "пустые" новости.<br/>
6. Категорически запрещается использовать должность в личных целях.<br/>
7. Пытаться узнать данные (IP-адреса, UserAgent'ы, пароли) Администраторов :)<br/>
Это невозможно, можете не стараться.<br/>
8. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/>
<br/>
При нарушении этих правил С-Модератор будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Разрешено чистить комнаты только тогда, когда вы не можете попасть в комнату (какая-то WML-ошибка) или когда счетчик внизу страницы превышает одну секунду<br/>
Следует помнить, что действия всех Модераторов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>
END;
echo "<a href=\"../menu.php?id=$id&amp;password=$password&amp;ver=wml\">Меню чата</a><br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/><small>[".round(($sec+$msec)-$headtime,5)."] sec</small><br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_GET['id']);
$password = mysql_escape_string($_GET['password']);
$q = mysql_query("SELECT `id` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".$password."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
echo "<html><head>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/>\n";
echo "<link rel=\"shortcut icon\" href=\"$icon\" /><title>".$title."</title>\n";
echo "<style type=\"text/css\">\n";
echo "body { font-weight: normal; font-size: normal; font-family: ".$font."; color: ".$color."; background-color: ".$background." }\n";
echo "a:link,a:active,a:visited { text-decoration: underline; color : ".$links." }\n";
echo "</style></head><body>\n";
echo "Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</body></html>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
echo "<html><head>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/>\n";
echo "<link rel=\"shortcut icon\" href=\"$icon\" /><title>Правила С-Модераторов</title>\n";
echo "<style type=\"text/css\">\n";
echo "body { font-weight: normal; font-size: normal; font-family: ".$font."; color: ".$color."; background-color: ".$background." }\n";
echo "a:link,a:active,a:visited { text-decoration: underline; color : ".$links." }\n";
echo "</style></head><body><div style=\"text-align: left\">\n";
echo <<< END
<b>С-Модератор обязан:</b><br/>
1. Соблюдать общие правила чата.<br/>
2. Помогать разрешать конфликты между участниками чата.<br/>
3. С-Модератор должен быть беспристрастным.<br/>
4. Блокировать пользователей за нарушение правил:<br/>
4.1. За "легкий" мат блокировка должна быть не более чем на 3600 секунд (час). Если это было в первый раз, то необходимо просто сделать предупреждение.<br/>
4.2. В других случаях за ненормативную лексику блок не должен превышать 86400 секунд (сутки). Мат, прикрытый "звездочками" (*) не следует игнорировать.<br/>
4.3. За провакационные ники, ники с ненормативной лексикой следует блокировать пользователя по нику, сначала сделав предупреждение.<br/>
4.4. За пропагандирование насилия, националистических и политических лозунгов, разжигание межнациональной розни, преднамеренного создания кофликтных ситуаций следует сделать предупреждение, а во второй раз блокировать пользователя по нику.<br/>
4.5. За флуд следует блокировать пользователя максимум на 86400 секунд (сутки). В чате есть система антифлуда, поэтому настоящий флуд невозможен.<br/>
4.6. За плагиат ников необходимо банить ник.<br/>
4.7. Если пользователь, нарушивший правила чата, не дожидается срока разбана, то за повторное нарушение следует блокировать пользователя по IP+UA, либо по нику в зависимости от обстоятельств.<br/>
4.8. За преднамеренную рекламу следует немедленно блокировать пользователя по никнейму.<br/>
4.9  За непреднамеренную рекламу следует объяснить пользователю, что давать ссылки на сторонние ресурсы запрещено правилами.<br/>
4.10. За грубое отношение к Модераторам (любым) следует делать предупреждение пользователю. Если это повториться, то блокировка может быть от 86400 секунд (сутки) до блокировки ника.<br/>
<br/>
Также, если пользователь чата может менять IP и/или UserAgent, тем самым уходя от бана, то следует сообщить об этом Администраторам.<br/>
<br/>
<b>Запрещается:</b><br/>
1. Создавать конфликты между участниками чата и другими модераторами.<br/>
2. Блокировать других С-Модераторов и Администраторов.<br/>
При попытке это сделать Администраторам станет известно время, дата, а также никнейм пользователя, которого вы пытались забанить.<br/>
Вы будете немедленно сняты с должности.<br/>
3. Изменять статус другим С-Модераторам и Администраторам.<br/>
4. Делать объявления пользователям от имени Администрации чата.<br/>
5. Не рекомендуется создавать "пустые" новости.<br/>
6. Категорически запрещается использовать должность в личных целях.<br/>
7. Пытаться узнать данные (IP-адреса, UserAgent'ы, пароли) Администраторов :)<br/>
Это невозможно, можете не стараться.<br/>
8. Запрещается хвастаться перед участниками чата, что у вас есть вот такая кнопочка, а у них нет.<br/>
<br/>
При нарушении этих правил С-Модератор будет снят с должности без права восстановления.<br/>
Если вы не знаете как поступить в той или иной ситуации, то обращайтесь к Администраторам.<br/>
Разрешено чистить комнаты только тогда, когда вы не можете попасть в комнату (какая-то WML-ошибка) или когда счетчик внизу страницы превышает одну секунду<br/>
Следует помнить, что действия всех Модераторов конролируются.<br/>
Также приветствуется частое пребывание в чате :)<br/>
END;
echo "<br/><a href=\"../menu.php?id=$id&amp;password=$password&amp;ver=html\">Меню чата</a><br/>";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/><span style=\"font-size: small\">[".round(($sec+$msec)-$headtime,5)."] sec</span><br/>\n";
echo "</div></body></html>";
break;
}
?>